Траектория кинематической операции

Автор Айлин, 19.02.08, 15:36:37

« предыдущая - следующая »

0 Пользователей и 1 гость просматривают эту тему.

Айлин

Подскажите пожалста, как задать траекторию для кинематической операции
(дельфи)

      iBaseEvolutionEntity := ksEntity(iPart.NewEntity( o3d_baseEvolution ));
      if iBaseEvolutionEntity <> nil then
      begin
       iBaseEvolutionDef := ksBaseEvolutionDefinition(iBaseEvolutionEntity.GetDefinition);
        if iBaseEvolutionDef <> nil then
       begin

         iBaseEvolutionDef.SetSketch(iSketchDef);
         iBaseEvolutionDef.sketchShiftType:=1;
         iBaseEvolutionDef.SetThinParam(false,0,0,0);

         collect1:= ksEntityCollection(iPart.EntityCollection(o3d_unknown));    
         collect1.Add(iSketch1Entity);

         iBaseEvolutionEntity.Create;
       end;
       end;
Ошибок не выдает но ничего и не строит =(

chelkar

А путь где задается? ksBossEvolutionDefinition::PathPartArray
Со Sketch'ом как то не понятно.
И лучше пользовать ksBossEvolutionDefinition
Цитата из справки
-------------
Примечания:
Данный интерфейс устарел. Рекомендуется использовать вместо него интерфейс ksBossLoftDefinition.

yarikv

21.02.08, 11:42:42 #2 Последнее редактирование: 21.02.08, 11:47:54 от yarikv
Держи пример

ЦитироватьПримечания:
Данный интерфейс устарел. Рекомендуется использовать вместо него интерфейс ksBossLoftDefinition.


это скорей всего ошибка

Айлин

Спасибо, уже получилось

теперь все тоже только с круговым массивом...
пример брала из книжки
массив компас игнорирует совсем =(

может кто знает, в чем дело?

//Массив по концентрицеской сетке
 iCircularCopy:=ksEntity(iPart.NewEntity(o3d_CircularCopy));
 iCircularCopyDef:=ksCircularCopyDefinition(iCircularCopy.GetDefinition);
 collect2:=ksEntityCollection(iCircularCopyDef.GetOperationArray);
 collect2.Add(iBaseEvolutionEntity);
 iCircularCopyDef.count2:=12;
 iCircularCopyDef.factor2:=false;
 iCircularCopyDef.SetAxis(iSketch1Entity);
 iCircularCopy.Create;